Package org.apache.lucene.analysis.commongrams

## Class CommonGramsQueryFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory
      - - org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory
        - - org.apache.lucene.analysis.commongrams.CommonGramsQueryFilterFactory

- All Implemented Interfaces:
    `ResourceLoaderAware`

      public class CommonGramsQueryFilterFactory
      extends CommonGramsFilterFactory

  Construct `CommonGramsQueryFilter`.

       <fieldType name="text_cmmngrmsqry" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.CommonGramsQueryFilterFactory" words="commongramsquerystopwords.txt" ignoreCase="false"/>
         </analyzer>
       </fieldType>

  Since:
    3.1
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "commonGramsQuery"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` |

    - ### Fields inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

      `FORMAT_SNOWBALL, FORMAT_WORDSET`

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonGramsQueryFilterFactory()` | Default ctor for compatibility with SPI
    `CommonGramsQueryFilterFactory​(Map<String,​String> args)` | Creates a new CommonGramsQueryFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenFilter` | `create​(TokenStream input)` | Create a CommonGramsFilter and wrap it with a CommonGramsQueryFilter

    - ### Methods inherited from class org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory

      `createDefaultWords, getCommonWords`

    - ### Methods inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

      `getFormat, getWordFiles, getWords, inform, isIgnoreCase`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommonGramsQueryFilterFactory

          public CommonGramsQueryFilterFactory​(Map<String,​String> args)

      Creates a new CommonGramsQueryFilterFactory

    - #### CommonGramsQueryFilterFactory

          public CommonGramsQueryFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### create

          public TokenFilter create​(TokenStream input)

      Create a CommonGramsFilter and wrap it with a CommonGramsQueryFilter
      Overrides:
        `create` in class `CommonGramsFilterFactory`